Jquery 1.8.0

Feb 8, 2013 at 4:33 PM
Love the script and can't wait to use it. Ran into a problem though. We're using jquery 1.8.0 because it's a requirement of another script. If I try to run RateIt with this version it chokes.
It will display the stars, but as soon as you mouse over it it throws errors:

m.getBoundingClientRect is not a function
http://ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js

And of course from there a lot of "is not a function".

If I switch it back to the 1.7.2 from the example it works fine.

Any ideas?
Coordinator
Feb 9, 2013 at 7:28 AM
Thanks for the feedback.

I will check the issue tomorrow, but what I vaguely recall is that there was some issue with jQuery 1.8.0 (and perhaps also 1.8.1), could you try it out on 1.8.2 or 1.8.3 and see if that fixes it?

I will anyway have a l look at it tomorrow.

Bye,
Gidon
Feb 9, 2013 at 5:12 PM
Fantastic! jQuery 1.8.2 and 1.8.3 seem to both work and they aren't mangling any other scripts.

Thanks for the assistance and the wonderful script!

Shane
Coordinator
Feb 10, 2013 at 3:44 PM
Great!